### Function

# Gdkcairo_region_create_from_surface

#### Declaration [src]

    cairo_region_t*
    gdk_cairo_region_create_from_surface (
      cairo_surface_t* surface
    )

#### Description [src]

Creates region that covers the area where the given `surface` is more than 50% opaque.

This function takes into account device offsets that might be set with cairo_surface_set_device_offset().

#### Parameters

`surface`

  Type: `cairo_surface_t`

  A cairo surface.

  The data is owned by the caller of the function.

#### Return value

Type: `cairo_region_t`

A `cairo_region_t`

The caller of the function takes ownership of the data, and is responsible for freeing it.